> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export CSV IP Market Services

> Export CSV IP Market Services



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/services/csv
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/services/csv:
    get:
      tags:
        - Market
      summary: Export CSV IP Market Services
      description: Export CSV IP Market Services
      operationId: API-Pub-IPMarket-exportToCsv
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/API.Pub.Requests.IPMarket.ListIPMarketServicesRequest
            example:
              cidr: 0
              address: string
              hidden: true
              status:
                - auth_pending
              registry: string
              sort:
                - cidr
      responses:
        '200':
          description: IP Market Service
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.IPMarketServiceCollection
              example:
                data:
                  - uuid: string
                    address: string
                    cidr: 0
                    start: string
                    abuse_email: string
                    registry: string
                    status: auth_pending
                    auth:
                      type: string
                      status: string
                      description: string
                    whois:
                      status: string
                      description: string
                    bgp:
                      status: string
                      description: string
                    dns:
                      status: string
                      description: string
                    iprep:
                      status: string
                      description: string
                    loaa:
                      status: string
                      description: string
                    roa:
                      status: string
                      description: string
                    hidden: true
                    reservation_id: string
                    minimum_split: 0
                    maximum_split: 0
                    loa-a:
                      email: string
                      status: string
                      created_at: 0
                    ips:
                      run_rate: 0
                      run_rate_ip: 0
                      total: 0
                      used: 0
                      free: 0
                      utilisation_percent: 0
                    pricings:
                      data:
                        - uuid: string
                          subnet_size: 0
                          ip_count: 0
                          price: 0
                          commission: 0
                          wants_to_negotiate: true
                          selected_commitment_periods:
                            - 0
                      meta:
                        current_page: 0
                        from: 0
                        last_page: 0
                        per_page: 0
                        to: 0
                        total: 0
                    terminated: 0
                    expires_at: 0
                    has_commitments: true
                    can_initiate_expiration: true
                    services:
                      uuid: string
                      cidr: 0
                      address: string
                      status: string
                      pricing:
                        uuid: string
                        subnet_size: 0
                        ip_count: 0
                        price: 0
                        commission: 0
                        wants_to_negotiate: true
                        selected_commitment_periods:
                          - 0
                      commitment:
                        uuid: string
                        pricing_uuid: string
                        status: string
                        price: 0
                        period: 0
                        start_date: 0
                        end_date: 0
                    commitmentReservations:
                      uuid: string
                      address: string
                      cidr: 0
                      price: 0
                      commitment_period: 0
                      created_at: 0
                      tenant:
                        uuid: string
                        title: string
                      ipmarket_service:
                        uuid: string
                        address: string
                        cidr: 0
                      commitment:
                        uuid: string
                        pricing_uuid: string
                        status: string
                        price: 0
                        period: 0
                        start_date: 0
                        end_date: 0
                    serviceReservations:
                      address: string
                      cidr: 0
                      pricing:
                        uuid: string
                        subnet_size: 0
                        ip_count: 0
                        price: 0
                        commission: 0
                        wants_to_negotiate: true
                        selected_commitment_periods:
                          - 0
                meta:
                  current_page: 0
                  from: 0
                  last_page: 0
                  per_page: 0
                  to: 0
                  total: 0
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Requests.IPMarket.ListIPMarketServicesRequest:
      type: object
      properties:
        cidr:
          maximum: 24
          minimum: 8
          type: integer
          description: CIDR
        address:
          type: string
          description: IP Address
        hidden:
          type: boolean
          description: Show only Subnets hidden from market
        status:
          type: array
          items:
            enum:
              - auth_pending
              - auth_failed_verify
              - auth_failed_verify_email_not_found
              - auth_failed_verify_email_not_sent
              - validity_pending
              - validity_active
              - validity_invalid
              - validity_terminated
              - validity_unknown
              - object_terminated
            type: string
            description: Search by Subnet status
        registry:
          type: string
          description: Registry
        sort:
          type: array
          items:
            enum:
              - cidr
              - created_at
              - status
              - hidden
              - expires_at
              - '-cidr'
              - '-created_at'
              - '-status'
              - '-hidden'
              - '-expires_at'
            type: string
    API.Pub.Resources.IPMarket.IPMarketServiceCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/API.Pub.Resources.IPMarket.IPMarketServiceResource
        meta:
          $ref: '#/components/schemas/collectionMeta'
    API.Pub.Resources.IPMarket.IPMarketServiceResource:
      type: object
      properties:
        uuid:
          type: string
        address:
          type: string
        cidr:
          type: integer
        start:
          type: string
        abuse_email:
          type: string
        registry:
          type: string
        status:
          enum:
            - auth_pending
            - auth_failed_verify
            - auth_failed_verify_email_not_found
            - auth_failed_verify_email_not_sent
            - validity_pending
            - validity_active
            - validity_invalid
            - validity_terminated
            - object_terminated
          type: string
        auth:
          type: object
          properties:
            type:
              type: string
            status:
              type: string
            description:
              type: string
        whois:
          type: object
          properties:
            status:
              type: string
            description:
              type: string
        bgp:
          type: object
          properties:
            status:
              type: string
            description:
              type: string
        dns:
          type: object
          properties:
            status:
              type: string
            description:
              type: string
        iprep:
          type: object
          properties:
            status:
              type: string
            description:
              type: string
        loaa:
          type: object
          properties:
            status:
              type: string
            description:
              type: string
        roa:
          type: object
          properties:
            status:
              type: string
            description:
              type: string
        hidden:
          type: boolean
        reservation_id:
          type: string
        minimum_split:
          type: integer
        maximum_split:
          type: integer
        loa-a:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.LOAAuthorizationResource
        ips:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.IPMarketServiceIPSResource
        pricings:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.ServicePricingCollection
        terminated:
          type: integer
        expires_at:
          type: integer
        has_commitments:
          type: boolean
        can_initiate_expiration:
          type: boolean
        services:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.Services.BillingServiceResource
        commitmentReservations:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.CommitmentReservationResource
        serviceReservations:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.ServiceReservationResource
    collectionMeta:
      type: object
      properties:
        current_page:
          type: integer
        from:
          type: integer
        last_page:
          type: integer
        per_page:
          type: integer
        to:
          type: integer
        total:
          type: integer
    API.Pub.Resources.IPMarket.LOAAuthorizationResource:
      type: object
      properties:
        email:
          type: string
        status:
          type: string
        created_at:
          type: integer
    API.Pub.Resources.IPMarket.IPMarketServiceIPSResource:
      type: object
      properties:
        run_rate:
          type: number
          format: float
        run_rate_ip:
          type: number
          format: float
        total:
          type: integer
        used:
          type: integer
        free:
          type: integer
        utilisation_percent:
          type: integer
    API.Pub.Resources.IPMarket.ServicePricingCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/API.Pub.Resources.IPMarket.Services.PricingResource
        meta:
          $ref: '#/components/schemas/collectionMeta'
    API.Pub.Resources.IPMarket.Services.BillingServiceResource:
      type: object
      properties:
        uuid:
          type: string
        cidr:
          type: integer
        address:
          type: string
        status:
          type: string
        pricing:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.Services.PricingResource
        commitment:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.Services.CommitmentResource
    API.Pub.Resources.IPMarket.CommitmentReservationResource:
      type: object
      properties:
        uuid:
          type: string
        address:
          type: string
        cidr:
          type: number
          format: int
        price:
          type: number
          format: float
        commitment_period:
          type: number
          format: int
        created_at:
          type: number
          format: int
        tenant:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.CommitmentReservationTenantResource
        ipmarket_service:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.ReservationIpmarketServiceResource
        commitment:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.Services.CommitmentResource
    API.Pub.Resources.IPMarket.ServiceReservationResource:
      type: object
      properties:
        address:
          type: string
        cidr:
          type: number
          format: int
        pricing:
          $ref: >-
            #/components/schemas/API.Pub.Resources.IPMarket.Services.PricingResource
    API.Pub.Resources.IPMarket.Services.PricingResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        subnet_size:
          type: number
        ip_count:
          type: number
        price:
          type: number
          format: float
        commission:
          type: number
          format: float
        wants_to_negotiate:
          type: boolean
        selected_commitment_periods:
          type: array
          items:
            type: integer
          description: Commitment period in months
    API.Pub.Resources.IPMarket.Services.CommitmentResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        pricing_uuid:
          type: string
          format: uuid
        status:
          type: string
        price:
          type: number
          format: float
        period:
          type: number
          format: integer
        start_date:
          type: number
          format: integer
        end_date:
          type: number
          format: integer
    API.Pub.Resources.IPMarket.CommitmentReservationTenantResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        title:
          type: string
    API.Pub.Resources.IPMarket.ReservationIpmarketServiceResource:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        address:
          type: string
        cidr:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````